<a routerLink="/article/{{ data.id }}">
  <div class="article">
    <div class="img">
      <img
        [src]="data.image ? imageUrl + data.image : imageUrl + defaultImage"
        alt=""
      />
    </div>
    <div class="main">
      <div class="title">
        <p>{{ data.title }}</p>
      </div>
      <div class="detail">
        <div class="date">
          <span>{{ data.date }}</span>
        </div>
        <div class="actions">
          <p>
            <fa-icon [icon]="faHeart"></fa-icon>
            <span>{{ data.likeNumber }}</span>
          </p>
          <p>
            <fa-icon [icon]="faComment"></fa-icon>
            <span>{{ data.commentNumber }}</span>
          </p>
        </div>
      </div>
      <div class="desc">
        <p>
          {{
            data.text.length > 200
              ? (data.text | slice: 0:200) + " ..."
              : data.text
          }}
        </p>
      </div>
    </div>
  </div>
</a>
